%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:       python-mygpoclient
Version:    1.7
Release:    2%{?dist}
Summary:    Python module to connect to the my.gpodder.org webservice

Group:      System Environment/Libraries
License:    GPLv3+
URL:        http://thpinfo.com/2010/mygpoclient/ 
Source0:    http://thpinfo.com/2010/mygpoclient/mygpoclient-%{version}.tar.gz  
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires: python-devel
BuildRequires: python-minimock
BuildRequires: python-coverage
BuildRequires: python-nose
BuildRequires: python-simplejson

%description
%{name} is a client-library to connect the my.gpodder.org webservice.

%prep
%setup -q -n mygpoclient-%{version}
# Leave out http-tests as they currently fail occasionally (reported upstream)
rm mygpoclient/http_test.py

%build
%{__python} setup.py build

%check
nosetests --cover-erase --with-coverage --with-doctest --cover-package=mygpoclient

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitelib}/mygpoclient
%{python_sitelib}/mygpoclient*.egg-info
%{_bindir}/bpsync
%exclude %{python_sitelib}/mygpoclient/*test.py*
%doc README COPYING AUTHORS


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Oct 18 2013 Ville-Pekka Vainio <vpvainio AT iki.fi> 1.7-1
- New upstream release

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Aug 06 2011 Ville-Pekka Vainio <vpvainio AT iki.fi> 1.6-1
- New upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 12 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.5-1
- New upstream release

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Apr 30 2010 Sven Lankes <sven@lank.es> - 1.4-1
- New upstream release

* Sun Mar 28 2010 Sven Lankes <sven@lank.es> - 1.2-1
- New upstream release

* Sun Jan 24 2010 Sven Lankes <sven@lank.es> - 1.0-3
- Add python-simplejson BR to allow tests to run

* Fri Jan 22 2010 Sven Lankes <sven@lank.es> - 1.0-2
- SPEC-Tweaks incorporating feedback from #fedora-de
- Rename to ease adding a python 3 variant later
- Run testsuite during build

* Fri Jan 22 2010 Sven Lankes <sven@lank.es> - 1.0-1
- initial package

